Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class BoxComponentListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener

Direct Known Subclasses:
  ContainerListenerAdapter, DataViewListenerAdapter, FieldListenerAdapter, ProgressBarListenerAdapter

    public class BoxComponentListenerAdapter

extends ComponentListenerAdapter
implements BoxComponentListener

Constructor Summary
`BoxComponentListenerAdapter()`

Method Summary
`void` | `onMove(BoxComponent component, int x, int y)` Fires after the component is moved.
`void` | `onResize(BoxComponent component, int adjWidth, int adjHeight, int rawWidth, int rawHeight)` Fires after the component is resized.

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### BoxComponentListenerAdapter

    public BoxComponentListenerAdapter()

Method Detail

### onMove

    public void onMove(BoxComponent component,
                       int x,
                       int y)

  Description copied from interface: `BoxComponentListener`
  Fires after the component is moved.

  Specified by:
    `onMove` in interface `BoxComponentListener`
  Parameters:
    `component` - this
    `x` - the new x position
    `y` - the new y position

### onResize

    public void onResize(BoxComponent component,
                         int adjWidth,
                         int adjHeight,
                         int rawWidth,
                         int rawHeight)

  Description copied from interface: `BoxComponentListener`
  Fires after the component is resized. Note that percentage based widths and auto widths are passed as -1.

  Specified by:
    `onResize` in interface `BoxComponentListener`
  Parameters:
    `component` - this
    `adjWidth` - the box-adjusted width that was set
    `adjHeight` - the box-adjusted height that was set
    `rawWidth` - the width that was originally specified
    `rawHeight` - the height that was originally specified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD